import sp
import yt
import ts3ab
import helpers

import argparse

parser = argparse.ArgumentParser(description='Sync Spotifyplaylists into ts3audiobot')

parser.add_argument('--sp_client_id',
                    dest='sp_client_id',
                    required=True,
                    help='Provide sp_client_id',
                    type=str
                    )
parser.add_argument('--sp_client_secret',
                    dest='sp_client_secret',
                    required=True,
                    help='Provide sp_client_secret',
                    type=str
                    )
parser.add_argument('--ts3ab_apiurl',
                    dest='ts3ab_apiurl',
                    required=True,
                    help='Provide ts3ab_apiurl',
                    type=str
                    )
parser.add_argument('--ts3ab_userid',
                    dest='ts3ab_userid',
                    required=True,
                    help='Provide ts3ab_userid',
                    type=str
                    )
parser.add_argument('--ts3ab_token',
                    dest='ts3ab_token',
                    required=True,
                    help='Provide ts3ab_token',
                    type=str
                    )
parser.add_argument('--sp_pl_id',
                    dest='sp_pl_id',
                    help='Provide sp_pl_id',
                    type=str
                    )
parser.add_argument('--ts3ablistid',
                    dest='ts3ablistid',
                    default=None,
                    help='Provide ts3ablistid',
                    type=str
                    )
parser.add_argument('-d', '--debug',
                    dest='debug',
                    default=False,
                    help='Provide ts3ablistid',
                    type=str
                    )


args = parser.parse_args()

debug = True

spobj = sp.initsp(args.sp_client_id, args.sp_client_secret)

ts3abobj = ts3ab.ts3ab(args.ts3ab_apiurl, args.ts3ab_userid, args.ts3ab_token)

helpers.synclist(spobj, ts3abobj, args.sp_pl_id, args.ts3ablistid, args.debug)